source "Test_Conf.tcl"
source "../tcl/RegionShape.tcl"
source "../tcl/GeoVariable.tcl"
source "../tcl/GeoGraph.tcl"

set objPROV [ RegionShape %AUTO% \
              -shpfile "$MapPath/spain_provinces_ind_2" \
              -idfield "PROV" \
              -namefield "NOMBRE99" \
              -level "Provincias" ]

set objMUN [ RegionShape %AUTO% \
              -shpfile "$MapPath/esp_muni_00" \
              -idfield "PROVMUN" \
              -namefield "MUNICIPIO0" \
              -level "Municipios" ]

$objMUN DumpHeader
$objMUN DumpEntityInfo 33036


array unset Shape_Area
for { set i 0 } { $i < [ $objMUN GetNumberOfRecords ] } { incr i } {
  set id [ $objMUN GetFieldValue $i "PROVMUN" ]
  set area [ $objMUN GetFieldValue $i "Shape_Area" ]
  if { $id eq "" || ![ string is double $area ] } continue
  if { ![ info exist Shape_Area($id) ] } {
    set Shape_Area($id) $area
  } else {
    set Shape_Area($id) [ expr { $Shape_Area($id) + $area } ]
  }
}

GeoVariable MunArea -regionlevel "Municipios" -name "MunArea"

MunArea SetValuesDict [ array get Shape_Area ]

set g [ GeoGraph .g ]
pack $g -fill both -expand yes

update 

$g busy hold

$g AddRegionShape $objPROV -toplevel 1
$g AddRegionShape $objMUN
$g ZoomAll

$g AddVariable MunArea

set mun_08 {08216 08034 08192 08055 08055 08238 08256 08184 08016 08016 08052 08099 08099 08093 08190 08166 08111 08111 08258 08141 08278 08261 08098 08110 08086 08059 08198 08293 08903 08142 08057 08268 08080 08024 08299 08253 08004 08132 08132 08132 08132 08272 08050 08131 08237 08233 08177 08109 08022 08150 08195 08045 08254 08901 08265 08144 08201 08160 08160 08011 08285 08188 08149 08215 08117 08225 08078 08078 08280 08255 08271 08112 08130 08130 08049 08092 08171 08243 08116 08199 08303 08100 08183 08175 08151 08151 08275 08308 08129 08129 08129 08129 08083 08298 08212 08090 08241 08037 08047 08220 08247 08246 08012 08191 08018 08079 08283 08283 08269 08269 08138 08070 08062 08017 08229 08274 08026 08137 08038 08067 08014 08010 08276 08081 08097 08128 08084 08224 08064 08218 08082 08060 08284 08213 08234 08140 08036 08239 08039 08189 08042 08202 08207 08002 08277 08095 08113 08134 08178 08259 08088 08139 08182 08155 08210 08023 08087 08223 08031 08176 08170 08005 08033 08106 08294 08228 08046 08061 08193 08203 08262 08163 08185 08306 08248 08297 08297 08035 08051 08007 08267 08053 08179 08120 08235 08071 08075 08181 08041 08242 08127 08127 08291 08279 08143 08107 08025 08040 08096 08264 08197 08006 08108 08156 08008 08063 08009 08103 08133 08121 08032 08187 08069 08159 08159 08902 08153 08076 08136 08124 08135 08102 08125 08125 08167 08300 08147 08165 08161 08250 08226 08162 08260 08302 08214 08030 08029 08296 08115 08209 08292 08252 08230 08290 08105 08048 08219 08001 08286 08281 08044 08003 08152 08205 08054 08257 08119 08180 08904 08282 08021 08172 08266 08028 08118 08015 08208 08114 08122 08104 08126 08222 08245 08019 08019 08019 08196 08066 08232 08158 08236 08091 08240 08287 08123 08194 08072 08157 08085 08288 08273 08164 08211 08168 08905 08221 08068 08263 08077 08227 08295 08174 08101 08304 08249 08013 08244 08217 08094 08094 08146 08289 08073 08027 08200 08206 08305 08154 08204 08169 08020 08145 08065 08301 08251 08089 08148 08058 08056 08043 08270 08231 08307 08074}

set lay1 [ $g AddLayer "Municipios" \
               -label "Municipios" \
               -entities $mun_08 -color {variable MunArea} -outline "" ]
set lay2 [ $g AddLayer "Provincias" \
               -label "Provincias" -color "" -outline red ]

$g DrawLayer $lay1
update
$g DrawLayer $lay2

$g busy release
